---
id: 67349ba230cff237c0f2bdf2
title: Step 4
challengeType: 1
dashedName: step-4
---

# --description--

Map objects remember the order in which the keys are inserted in the map. To set a key-value pair in your map object, you can use the `set` method. The following sets the key `"name"` to the value `"Jerry"` in the `myMap` map object.

```js
myMap.set("name", "Jerry");
```

Set the `"ballerina"` key to the value of your `ballerina` object in your `catalog` map. Then, log your catalog to the console.

Note that to see your map object properly you'll have to open the browser console.

# --hints--

You should set the `"ballerina"` key to the value of your `ballerina` object in your `catalog` map.

```js
assert.deepEqual(catalog.get("ballerina"), ballerina)
```

Your `catalog` map should contain a single key-value pair.

```js
assert.lengthOf(catalog, 1);
```

You should log your `catalog` map to the console.

```js
assert.match(__helpers.removeJSComments(code), /console\s*\.\s*log\s*\(\s*catalog\s*\)/)
```

# --seed--

## --seed-contents--

```js
const ballerina = {
    commonName: "Spanish lavender",
    scientificName: "Lavandula stoechas",
    cultivar: "Ballerina"
}

const prettyPolly = {
    commonName: "Spanish lavender",
    scientificName: "Lavandula stoechas",
    cultivar: "Pretty Polly"
}

const willowVale = {
    commonName: "Spanish lavender",
    scientificName: "Lavandula stoechas",
    cultivar: "Willow Vale"
}

const hidcote = {
    commonName: "English lavender",
    scientificName: "Lavandula angustifolia",
    cultivar: "Hidcote"
}

const imperialGem = {
    commonName: "English lavender",
    scientificName: "Lavandula angustifolia",
    cultivar: "Imperial Gem"
}

const royalCrown = {
    commonName: "French lavender",
    scientificName: "Lavandula dentata",
    cultivar: "Royal Crown"
}
--fcc-editable-region--
const catalog = new Map();

--fcc-editable-region--
```
